Index: /branches/network/src/lib/network/network_game_manager.cc
===================================================================
--- /branches/network/src/lib/network/network_game_manager.cc	(revision 6458)
+++ /branches/network/src/lib/network/network_game_manager.cc	(revision 6459)
@@ -25,4 +25,7 @@
 
 #include "p_node.h"
+#include "state.h"
+#include "game_world.h"
+#include "world_entity.h"
 
 
@@ -474,4 +477,19 @@
       s->setIsOutOfSync( true );
     PRINTF(0)("Fabricated %s with id %d\n", s->getClassName(), s->getUniqueID());
+
+
+    if( !strcmp( s->getClassName(), "SkyBox"))
+    {
+      PRINTF(0)("==> Created the Sky!\n");
+      (dynamic_cast<GameWorld*>(State::getCurrentStoryEntity()))->setSky( dynamic_cast<WorldEntity*>(s) );
+    }
+//       this->sky = dynamic_cast<WorldEntity*>(created);
+    if( !strcmp( s->getClassName(), "Terrain"))
+    {
+      PRINTF(0)("==> Created the Terrain\n");
+//       this->terrain = dynamic_cast<Terrain*>(created);
+//       CDEngine::getInstance()->setTerrain(terrain);
+    }
+
     return b;
   }
Index: /branches/network/src/story_entities/game_world.cc
===================================================================
--- /branches/network/src/story_entities/game_world.cc	(revision 6458)
+++ /branches/network/src/story_entities/game_world.cc	(revision 6459)
@@ -200,4 +200,6 @@
   this->isRunning = true;
 
+  State::setCurrentStoryEntity(dynamic_cast<StoryEntity*>(this));
+
   this->run();
 }
Index: /branches/network/src/story_entities/game_world.h
===================================================================
--- /branches/network/src/story_entities/game_world.h	(revision 6458)
+++ /branches/network/src/story_entities/game_world.h	(revision 6459)
@@ -9,5 +9,5 @@
 
 #include "story_entity.h"
-
+#include "game_world_data.h"
 
 class TiXmlElement;
@@ -56,4 +56,7 @@
 
 
+    inline void setSky(WorldEntity* sky) { this->dataTank->sky = sky; }
+
+
   protected:
     /* world - running functions */
Index: /branches/network/src/story_entities/multi_player_world_data.cc
===================================================================
--- /branches/network/src/story_entities/multi_player_world_data.cc	(revision 6458)
+++ /branches/network/src/story_entities/multi_player_world_data.cc	(revision 6459)
@@ -48,4 +48,5 @@
 
 #include "glmenu_imagescreen.h"
+
 
 
@@ -177,5 +178,12 @@
     this->localPlayer = new Player();
     Playable* playable;
-    const list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
+    const std::list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
+    assert( playableList != NULL);
+
+    std::list<BaseObject*>::const_iterator entity;
+    for (entity = playableList->begin(); entity != playableList->end(); entity++)
+      PRINTF(0)("Got a playable, class: %s, name: %s\n", (*entity)->getClassName(), (*entity)->getName());
+
+
     if (playableList != NULL)
     {
@@ -184,5 +192,4 @@
     }
 
-
     /* init the pnode tree */
     PNode::getNullParent()->init();
Index: /branches/network/src/util/state.cc
===================================================================
--- /branches/network/src/util/state.cc	(revision 6458)
+++ /branches/network/src/util/state.cc	(revision 6459)
@@ -31,4 +31,6 @@
 ObjectManager* State::objectManager = NULL;
 
+StoryEntity* State::storyEntity = NULL;
+
 /**
  *  sets camera and target of the current Camera
Index: /branches/network/src/util/state.h
===================================================================
--- /branches/network/src/util/state.h	(revision 6458)
+++ /branches/network/src/util/state.h	(revision 6459)
@@ -7,8 +7,10 @@
 #define _STATE_H
 
+
 // FORWARD DECLARATION
 class PNode;
 class WorldEntity;
 class ObjectManager;
+class StoryEntity;
 
 //! handles states about orxonox's most importatn objects
@@ -39,4 +41,13 @@
   static inline ObjectManager* getObjectManager() { return State::objectManager; };
 
+  //////////////////////
+  /// STORY-ENTITY   ///
+  //////////////////////
+  /** @param storyEntity sets the current StoryEntity that is been played */
+  static inline void setCurrentStoryEntity(StoryEntity* storyEntity) { State::storyEntity = storyEntity; };
+  /** @returns the current StoryEntity played */
+  static inline StoryEntity* getCurrentStoryEntity() { return State::storyEntity; };
+
+
   /////////////////////////
   /// WORLD_ENTITY_LIST ///
@@ -49,5 +60,6 @@
   static PNode*                 cameraTarget;       //!< A reference to the cameraTarget
   static PNode*                 nullParent;         //!< A reference to the Null-PNode.
-  static ObjectManager*         objectManager;      //!< A referenct to the current ObjectManager
+  static ObjectManager*         objectManager;      //!< A reference to the current ObjectManager
+  static StoryEntity*           storyEntity;        //!< A reference to the current StoryEntity played
 
 };
